Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.synapsai.cloud/v1/images/object-detection \ --header 'Content-Type: application/json' \ --data ' { "inputs": "<string>", "threshold": 0.5, "timeout": 123 } '
import requests url = "https://api.synapsai.cloud/v1/images/object-detection" payload = { "inputs": "<string>", "threshold": 0.5, "timeout": 123 } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.text)
[ { "label": "<string>", "score": 123, "box": [ { "xmin": 123, "ymin": 123, "xmax": 123, "ymax": 123 } ] } ]
Request to detect objects in one or more images.
Image(s) to run object detection on (URL, base64, object or binary). Required.
Minimum confidence score required to include detected objects.
Maximum time in seconds to wait for external resources or processing.
List of detected objects with labels, scores and boxes
Show child attributes